shuang1994
太上无情
2017-04-20 13:36

关于gcc g++的安装问题

  • ubuntu
  • g++
  • gcc
  • android

我在ubuntu 系统上编译android4.0.1源代码,其中要安装gcc和g++,我的系统各版本如下:
ubuntu版本:16.04LTS

Android源代码版本:4.01

gcc版本我下的是4.4.3的版本,gcc文件夹打开如下图片说明
下好之后,因为系统自带的版本太高(编译android4.01要的gcc版本要求为4.4左右),所以我把系统/usr/bin目录下的gcc和g++两个链接文件改为了我下的gcc,只改了gcc,g++这两个链接,链接的文件为图片说明这里的gcc和g++(不知道是不是改链接这两个文件),
另外我也不清楚gcc是不是就包含g++,还是说我改再下个g++?
然后在终端输入gcc -v和g++ -v都是显示只gcc的版本号,
编译android源代码时爆出一个ccl找不到的错误,网上说是gcc和g++的版本不同造成的,有谁能帮帮我吗?

  • 点赞
  • 回答
  • 收藏
  • 复制链接分享

2条回答

为你推荐

换一换